PETSc version 3.15.5
Fix/Edit manual page

# MatGetType

Gets the matrix type as a string from the matrix object.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetType(Mat mat,MatType *type)

Not Collective

### Input Parameter

| mat | - the matrix

### Output Parameter

| name | - name of matrix type

### See Also

MatSetType()

### Level

intermediate

### Location

src/mat/interface/matreg.c

### Examples

src/ksp/ksp/tutorials/ex29.c.html
src/ksp/ksp/tutorials/ex34.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages